Public Interface IProviderResults

End Interface
<Serializable()> _
Public Class ProviderResults
    Private m_exception As Boolean
    Private m_message As String
    Private m_stackTrace As String
    Private m_CharterDotComFriendlyMessages As String

    Public Property Exception() As Boolean
        Get
            Return m_exception
        End Get
        Set(ByVal value As Boolean)
            m_exception = value
        End Set
    End Property
    Public Property ExceptionMessage() As String
        Get
            Return m_message
        End Get
        Set(ByVal value As String)
            m_message = value
        End Set
    End Property
    Public Property ExceptionStackTrace() As String
        Get
            Return m_stackTrace
        End Get
        Set(ByVal value As String)
            m_stackTrace = value
        End Set
    End Property
    Public Property CharterDotCom_Friendly_Messages() As String
        Get
            Return m_CharterDotComFriendlyMessages
        End Get
        Set(ByVal value As String)
            m_CharterDotComFriendlyMessages = value
        End Set
    End Property
End Class